

def replace_negative_values(lst):
    '''
    Modifies a given list of numbers by replacing all negative
    values with zero
    '''
    for index in range(len(lst)):
        if lst[index] < 0:
            lst[index] = 0

def find_non_negative_values(lst):
    '''
    Returns a new list containing just the non-negative values
    in the given list.  The given list is not modified.
    '''
    result = []
    for num in lst:
        if num >= 0:
            result.append(num)
    return result